/** HokeyPokey.java displays the lyrics of the Hokey-Pokey song.
 * @author Joel Adams, for Alice+Java.
 */

public class HokeyPokey {
	public static void main(String[] args) {
		printVerse("right foot");
		printVerse("left foot");
		printVerse("right hand");
		printVerse("left hand");
		printVerse("right side");
		printVerse("left side");
		printVerse("nose");
		printVerse("backside");
		printVerse("head");
		printVerse("whole self");
	}
	
	private static void printVerse(String bodyPart) {
		System.out.println("You put your " + bodyPart + " in,\n"
				          + "you put your " + bodyPart + " out;\n"
				          + "you put your " + bodyPart + " in,\n"
				          + "and you shake it all about.\n"
				          + "You do the Hokey-Pokey,\n"
				          + "and you turn yourself around.\n"
				          + "That's what it's all about.\n");
	}
}
